Root password inheritance doesn't seem to work properly
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Root password on host doesn't seem inherited by hostgroup / nested hostgroup.

Host root password faillback on default foreman general root password.

Related issues:

Has duplicate Foreman - Bug #1495: ENC output for root_pw is not correct when... Closed 02/15/2012

Has duplicate Foreman - Bug #1488: blank root_password in host group breaks a... Closed 02/08/2012

Associated revisions

Revision f00eaf07 - 06/21/2012 04:38 AM - Ohad Levy

fixes #1586 -Root password inheritance doesn't seem to work properly

Revision f4279fea - 06/27/2012 03:18 AM - Ohad Levy

refs #1586 - no need to copy hostgroup root pw

the idea here is not to copy the pw from the hostgroup, as if

you would like to change the hostgroup password, it would change it

to all systems which are using the hostgroup pw (and did not override it manually).

Revision 66a9a696 - 06/27/2012 09:07 AM - Ohad Levy

refs #1586 - ensures that hostgroup hierarchy order is processed correctly

History

#1 - 06/12/2012 02:35 AM - Ohad Levy

- Target version set to 1.0

#2 - 06/21/2012 04:40 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset f00eaf0746492189359177eb7a3664a21b79b70f.
